//----------------------------------------------------------------------
// circle2.js
// Author: Bob Dondero
//----------------------------------------------------------------------

// Before running this program you must install the readline-sync
// module.  You can do that by issuing this command:
// npm install readline-sync

'use strict';

const readlineSync = require('readline-sync');

function main() {
   try {
      let line = readlineSync.question(
         "Enter the circle's radius:\n");
      if (line === '')
         throw new Error('Missing number');

      if (isNaN(line))
         throw new Error('Not a number');
      let radius = Number(line);

      let diam = 2 * radius;
      let circum = Math.PI * diam;

      process.stdout.write('A circle with radius ' + String(radius) +
         ' has diameter ' + String(diam) + '\n');
      process.stdout.write('and circumference ' + String(circum) +
         '.\n');
   }
   catch (e) {
      process.stderr.write(String(e) + '\n');
   }
}

if (require.main === module)
   main();
