//----------------------------------------------------------------------
// euclidclient2.js
// Author: Bob Dondero
//----------------------------------------------------------------------

'use strict';

const readlineSync = require('readline-sync');
const euclid = require('./euclid.js');

//----------------------------------------------------------------------

function readInt(prompt) {
   let line = readlineSync.question(prompt);
   if (line === '')
      throw new Error('Missing integer');
   if (isNaN(line))
      throw new Error('Not a number');
   let n = Number(line);
   if (! Number.isInteger(n))
      throw new Error('Not an integer');
   return n;
}

//----------------------------------------------------------------------

function main() {
   try {
      let i = readInt('Enter the first integer:\n');
      let j = readInt('Enter the second integer:\n');

      let myGcd = euclid.gcd(i, j);
      process.stdout.write('gcd: ' + String(myGcd) + '\n');

      let myLcm = euclid.lcm(i, j);
      process.stdout.write('lcm: ' + String(myLcm) + '\n');
   }
   catch (e) {
      process.stderr.write(String(e) + '\n');
   }
}

if (require.main === module)
   main();
